package net.sf.tacos.binding;

import org.apache.hivemind.Location;
import org.apache.tapestry.IBinding;
import org.apache.tapestry.IComponent;
import org.apache.tapestry.binding.AbstractBindingFactory;

/**
 * Implementation of {@link org.apache.tapestry.binding.BindingFactory} that constructs
 * {@link net.sf.tacos.binding.CallbackFunctionBinding} instances.
 * 
 * @author Igor Drobiazko
 * @since 4.1
 */
public class CallbackFunctionBindingFactory extends AbstractBindingFactory {
	
	public IBinding createBinding(IComponent root, String description,
			String expression, Location location) {
		return new CallbackFunctionBinding(description, getValueConverter(), location, expression);
	}

}
