package net.sf.tacos.model;

import java.io.Serializable;

/**
 * An interface for converting an object to a serializable key and back.
 * 
 * @author phraktle
 */
public interface IKeyProvider {

    /**
     * Gets the key for a particular value
     * @param value
     * @return
     */
    public Serializable getKey(Object value);

}